SYSTEMD-SOCKET-ACTIVATE(1)

NOM
systemd-socket-activate – Tester l’activation par socket d’un démon

SYNOPSIS

systemd-socket-activate [OPTIONS...] COMMANDE [ARGS...]

DESCRIPTION

systemd-socket-activate peut être utilisé pour lancer un programme de service activé par socket à partir de la ligne de commande dans un but de test. Il peut être aussi utilisé pour lancer des instances particulières du programme de service par connexion.

Le démon à lancer et ses options doivent être indiqués après les options de systemd-socket-activate.

Si l’option --inetd est fournie, le descripteur de fichier de socket sera utilisé comme entrée standard et sortie standard du processus lancé. Sinon, les entrée standard et sortie standard seront héritées, et les sockets seront passés à travers les descripteurs de fichier 3 et supérieurs. Les sockets passés à travers $LISTEN_FDS à systemd-socket-activate seront passés à travers le démon dans leurs positions originales. Les autres sockets spécifiés avec l’option --listen= utiliseront les descripteurs consécutifs. Par défaut, systemd-socket-activate écoute plutôt sur un socket de flux et utilise les options --datagram et --seqpacket pour écouter les sockets de datagramme ou de paquet séquentiel (voir ci-après).

OPTIONS

-l addresse, --listen=addresse
    Écouter sur cette addresse. Cette option prend une chaine telle que « 2000 » ou « 127.0.0.1:2001 ».

    Ajouté dans la version 230.

-a, --accept
    Lancer une instance du programme de service pour chaque connexion et transmettre le socket de connexion. Ne peut pas être combiné avec --now.

    Ajouté dans la version 230.

-d, --datagram
    Écouter un socket de datagramme (SOCK_DGRAM) au lieu d’un socket de flux (SOCK_STREAM). Cette option peut ne pas être combinée avec --seqpacket.

    Ajouté dans la version 230.

--seqpacket
    Écouter un socket de paquet séquentiel (SOCK_SEQPACKET) au lieu d’un socket de flux (SOCK_STREAM). Cette option peut ne pas être combinée avec --datagram.

    Ajouté dans la version 230.

--inetd
    Utiliser le protocole inetd(8) pour la transmission des descripteurs de fichier, c’est-à-dire comme entrée standard ou sortie standard, au lieu du protocole de nouveau style pour transmettre les descripteurs de fichier utilisant $LISTEN_FDS (voir ci-dessus).

    Ajouté dans la version 230.

-E VAR[=VALEUR], --setenv=VAR[=VALEUR]
    Ajouter cette variable à l’environnement du processus lancé. Si VAR est suivi de « = », partir du principe que c’est une paire variable–valeur. Autrement, obtenir la valeur de l’environnement de systemd-socket-activate.

    Ajouté dans la version 230.

--fdname=NOM[:NOM...]
    Indiquer les noms des descripteurs de fichier transmis. Cela est équivalent à définir FileDescriptorName= dans les fichiers d’unité de socket et autoriser l’utilisation de sd_listen_fds_with_names(3). Plusieurs entrées peuvent être indiquées en utilisant des options séparées ou en séparant les noms avec des deux-points (« : ») dans une seule option. Dans le cas où plus de noms que de descripteurs sont fournis, les noms superflus sont ignorés. Dans le cas où moins de noms que de descripteurs sont fournis, les descripteurs de fichier restants sont sans nom.

    Ajouté dans la version 230.

--now
    Lancer le programme de service immédiatement au lieu d’attendre une connexion sur le(s) socket(s). Ne peut pas être combiné avec --accept.

    Ajouté dans la version 258.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

VARIABLES D'ENVIRONNEMENT

$LISTEN_FDS, $LISTEN_PID, $LISTEN_PIDFDID, $LISTEN_FDNAMES
    Consulter sd_listen_fds(3).

    Ajouté dans la version 230.

$SYSTEMD_LOG_TARGET, $SYSTEMD_LOG_LEVEL, $SYSTEMD_LOG_TIME, $SYSTEMD_LOG_COLOR, $SYSTEMD_LOG_LOCATION
    Comme dans systemd(1).

    Ajouté dans la version 230.

EXEMPLES

Exemple 1. Exécuter un serveur echo sur le port 2000

    $ systemd-socket-activate -l 2000 --inetd -a cat

Exemple 2. Exécuter une instance activée par socket de systemd-journal-gatewayd(8)

    $ systemd-socket-activate -l 19531 /usr/lib/systemd/systemd-journal-gatewayd

VOIR AUSSI

systemd(1), systemd.socket(5), systemd.service(5), systemd-run(1), sd_listen_fds(3), sd_listen_fds_with_names(3), cat(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.